> For the complete documentation index, see [llms.txt](https://sply-1.gitbook.io/sply/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sply-1.gitbook.io/sply/api-reference.md).

# API Reference

## API Reference

This page lists the platform’s main public and admin APIs and describes what each route is for.

### Public APIs

### `GET /api/projects`

Purpose:

* return the public project list
* used by the home page and project listing views

### `GET /api/project/:id`

Purpose:

* return a single project view
* used by the project detail page

### `GET /api/token/:addr`

Purpose:

* return token-facing metadata linked to a platform project

### `GET /api/token-market/:address`

Purpose:

* return market-facing token data

### `GET /api/token-liquidity/:address`

Purpose:

* return liquidity-facing token data

### `GET /api/token-trades/:address`

Purpose:

* return recent trade history

### Content APIs

### `POST /api/upload`

Purpose:

* upload project assets such as logos

### `POST /api/save-metadata`

Purpose:

* save public project metadata

### Developer Submission APIs

### `POST /api/dev-submit`

Purpose:

* submit a developer template for review

### `GET /api/dev-submissions`

Purpose:

* list template submissions

### Admin APIs

### `GET /api/admin/nonce`

Purpose:

* issue an admin login nonce

### `POST /api/admin/login`

Purpose:

* create an admin session

### `POST /api/admin/logout`

Purpose:

* end the admin session

### `GET /api/admin/stats`

Purpose:

* return operator-facing statistics

### `POST /api/admin/dev-review`

Purpose:

* approve and register developer templates

### `POST /api/admin/verify-token`

Purpose:

* manually enqueue or trigger verification

### `POST /api/admin/project/hide`

Purpose:

* hide projects from public frontend views

***

## Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://sply.fun/daoi-docs-import/developer-template-guide/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language. The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://sply-1.gitbook.io/sply/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
